# include <math.h>
# include <stdio.h>

double f(double x)
{
    return x*x-3;
}

double fp(double x)
{
    return 2*x;
}
double getRoot(double a,double b,int &status)
{
    double x= a+(b-a)/2;
    const int imax=200;
    int it = 0;
    while(it<imax)
    {
        if(fabs(f(x))<1e-8) {
            status =1;
            return x;
        }
        x=x-f(x)/fp(x);
        printf("Iters=%4d X=%20.10lf F(x)=%20.10lf\n",it,x,f(x));
        it++;
    }
    status=0;
    return -1;
}
int main()
{
    double a= -3;
    double b=  1;
    int status =1;
    double x = getRoot(a,b,status);
    if(status!=0)
        printf("Root: %20.10lg\n",x);
    else printf("No root found\n");
}
